Package org.gradle.api.cache

# Interface CacheResourceConfiguration

@Incubating public interface CacheResourceConfiguration
Represents the configuration of a given type of cache resource.

Since:
  8.0

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `setRemoveUnusedEntriesAfterDays(int removeUnusedEntriesAfterDays)`
  Sets the interval (in days) after which unused entries will be considered stale and removed from the cache.

- ## Method Details

  - ### setRemoveUnusedEntriesAfterDays

    void setRemoveUnusedEntriesAfterDays(int removeUnusedEntriesAfterDays)
    Sets the interval (in days) after which unused entries will be considered stale and removed from the cache. Any entries not used within this interval will be candidates for eviction.